# Generated from andy-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name andy

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A utility for generating empty projects
License: MIT
URL: http://github.com/georgecodes/andy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(andy)
BuildArch: noarch

%description
Generate a skeleton project to get you started.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/andy
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/TODO.md
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/conf
%{gem_instdir}/install
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/andy.gemspec
%{gem_instdir}/features
%{gem_instdir}/features_new
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.1-1
- Initial package
